"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatFileSize = formatFileSize;
exports.default = void 0;

var _reactNative = require("react-native");

const {
  ClearCache
} = _reactNative.NativeModules;
var _default = ClearCache;
exports.default = _default;

function formatFileSize(size, decimal = 4) {
  if (size < 1024) return `${size} Bytes`;
  const arr = ['Bytes', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
  const i = Math.floor(Math.log(size) / Math.log(1024));
  const d = decimal < 0 ? 0 : decimal > 4 ? 4 : decimal;
  return parseFloat((size / Math.pow(1024, i)).toFixed(d)) + ' ' + arr[i];
}
//# sourceMappingURL=index.js.map